Subject: Re: [Fwd: Bug: Perl:IsWinNT undefined & RFE, only use "/" in reg values, not names..?]
From: Yitzchak Scott-Thoennes <[email-masked]>
To: [email-masked]
Date: Thu, 19 Feb 2004 08:13:44 -0800

On Thu, Feb 19, 2004 at 07:48:48AM -0800, Yitzchak Scott-Thoennes <[email-masked]> wrote:
> On Thu, Feb 19, 2004 at 01:46:05AM -0800, linda w <[email-masked]> wrote:
> > Tried this...some scripts ran.  One that didn't wanted lanman.pm located in
> > Win32::lanman. 
> > 
> > Queerly enough, doing a "i" /lanman" comes up zip even though it is in 
> > CPAN at
> > /CPAN/sources/authors/id/J/JH/JHELBERG/lanman.1.0.10.0.zip.
> > 
> > How would one normally go about installing lanman.pm without manually 
> > unpacking
> > the zip and putting it someplace (which I'm just randomly guessing 
> > wouldn't work for
> > some other reason -- like the lanman dll not being installed in the 
> > right place.
> 
> lanman doesn't seem to be packaged like a normal CPAN module;
> presumably the author is expecting most people to use ActiveState and
> ppm to install it.  You should download the zip file and unzip it into
> a temporary directory and follow the readme's build instructions to
> the extent possible, and it may or may not work.

Looks like "may not".  The author has completely gone without
the normal perl module build facilities (e.g. MakeMaker); even
ActiveState users have to manually change path settings, etc. to
get the (nmake, MSVC++) makefile to work.

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/